package jp.agentec.sinaburocast.helper;

import javax.annotation.Resource;

import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class TaskExecuteHelperTest extends S2DaoTestCase {

	@Resource
	private TaskExecuteHelper taskExecuteHelper;

	public TaskExecuteHelperTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("TaskExecuteHelperTest");
		suite.addTest(new TaskExecuteHelperTest("testSubmit"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}
	
	public void testSubmit() throws InterruptedException {
		Runnable r = new Runnable() {
			@Override
			public void run() {
				System.out.println("run start");
				try {
					Thread.sleep(3000);
				} catch (Exception e) {
					e.printStackTrace();
				}
				System.out.println("run end");
			}
			
		};
		taskExecuteHelper.submit("iphone", r);
		Thread.sleep(3000);
	}
}
