package jp.agentec.sinaburocast.common.logging;

import org.apache.log4j.ConsoleAppender;
import org.apache.log4j.Layout;
import org.apache.log4j.spi.LoggingEvent;

public class ExConsoleAppender extends ConsoleAppender {

	protected void subAppend(LoggingEvent event) {
		this.qw.write(this.layout.format(event));

		if(layout.ignoresThrowable()) {
			String[] s = event.getThrowableStrRep();
			if (s != null) {
				int len = s.length;
				for(int i = 0; i < len; i++) {
					if (s[i] != null
						&& (s[i].contains("$$") // AOPで生成されたクラスやインターセプタのログを省く
						|| s[i].contains("org.seasar.extension.tx.")
						|| s[i].contains("jp.agentec.sinaburocast.common.interceptor."))) {
						continue;
					}
					this.qw.write(s[i]);
					this.qw.write(Layout.LINE_SEP);
				}
			}
		}

		if (immediateFlush)
			qw.flush();
	}
}
